1.0

1.0

post /v1/cloud-ml

Description

create cloud ML

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
headeraccept
optional
Accept
Example : application/json
stringapplication/json
headercontent_type
optional
Content-Type
Example : application/json
stringapplication/json
bodybody
required

CloudMLRequest

Responses

HTTP CodeDescriptionSchema
200OKAsyncResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-ml

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloud-ml 1.0"

Request body

{
    "analytics_resource": {
        "cpu": 0,
        "gpu": "",
        "memory": 0
    },
    "application_resource": {
        "cpu": 0,
        "memory": 0
    },
    "cloud_ml_name": "aiml-test",
    "cluster_id": "10a599e031e749b7b260868f441e862b",
    "copilot": {
        "cpu": 0,
        "gpu": "",
        "memory": 0
    },
    "custom_registry_access_key": "10a599e031e749b7b260868f441e862b",
    "custom_registry_access_project_id": "10a599e031e749b7b260868f441e862b",
    "custom_registry_access_region": "10a599e031e749b7b260868f441e862b",
    "custom_registry_access_secret_key": "10a599e031e749b7b260868f441e862b",
    "custom_registry_host": "10a599e031e749b7b260868f441e862b",
    "description": "147@53A69a",
    "domain_name": "147@53A69a",
    "endpoint_type": "147@53A69a",
    "image_id": "10a599e031e749b7b260868f441e862b",
    "product_group_id": "10a599e031e749b7b260868f441e862b",
    "tags": [],
    "use_copilot": true
}

Example HTTP response

Response 200

{
    "project_id": "10a599e031e749b7b260868f441e862b",
    "request_id": "10a599e031e749b7b260868f441e862b",
    "resource_id": "10a599e031e749b7b260868f441e862b"
}